<html>
<head>
    <title>table scroll</title>
    <meta charset="utf-8">
    <link href="asset/css/tableScroll.css" rel="stylesheet" type="text/css">
    <style type="text/css" media="screen">
    </style>
</head>

<body>

<h1>Plugin: tableScroll()</h1>
<h4>By. YamQ (yamcrocodile)</h4>
<p>ความสามารถ : แปลงตาราง ที่สร้างจาก table ธรรมดาให้สามารถ ทำ Scroll เลื่อนขึ้นลงได้ตามข้อมูลที่มี โดยจะตรึงในส่วนของ thead ไว้</p>
<p>และสามารถ Click ข้อมูลภายในตารางเพื่อส่งออกข้อมูล เข้าไปอยู่ใน input ที่ได้ตั้งค่าไว้</p>

<div id="table" class="tableScroll">
    <table>
        <thead>
        <tr>
            <th>#</th>
            <th>Last Name</th>
            <th>Phone</th>
            <th>Address</th>
        </tr>
        </thead>

        <?php
        for($i=0;$i<20;$i++){
            ?>
            <tr>
                <td><?=$i?></td>
                <td>YamQ</td>
                <td>089-123-456-7</td>
                <td>Address Yamcrocodile</td>
            </tr>
        <?php
        }
        ?>

    </table>
</div>
<hr>

ส่งค่า ID(#) : <input type="text" name="val1">
	
<div>
    <h3>Request :</h3>
    <pre>
        jquery.js
    </pre>
    <h3>ตัวอย่าง :</h3>
    <pre>
        $("div#table").tableScroll()
    </pre>
    <h3>Option :</h3>
    <pre>
        $("div#table").tableScroll({
            height: "500px", // ความสูง
            outPut: $("input"), // name, class, id ที่ใช้รับค่าเมื่อ Click ที่ table Default : false
            textColor: "red", //สีของตัวหนังสือภายใน table
        })
    </pre>
</div>
<!----------------------- script javascript ------------------>
<script src="asset/js/jquery.js" charset="utf-8"></script>
<script src="asset/js/jquery.tableScroll.js"></script>
<script>
$(function(){
    $("#table").tableScroll({
        height: "300px",
        outPut: $("input"),
        test: function(e){
            console.log($(this));
        }
    });
})
</script>
<!------------------------------------------------------------>
</body>
</html>
